package de.lcs.wep.rest.response;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.ArrayList;
import java.util.List;

/**
 * Created by Sönke Greve on 31.10.2014.
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement
public class LabelInfo {

    @XmlElement(name = "LabelId")
    private String labelId;

    @XmlElement(name = "Type")
    private String type;

    @XmlElement(name = "Tag")
    private List<String> tags = new ArrayList<String>();

    public List<String> getTags() {
        return tags;
    }

    public void setTags(List<String> tags) {
        this.tags = tags;
    }

    public String getLabelId() {
        return labelId;
    }

    public void setLabelId(String labelId) {
        this.labelId = labelId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
